#declare C_SCALE = 0.6;

camera { 
	location <3*C_SCALE+.5,3*C_SCALE+.5,3*C_SCALE+.5>
	look_at <0.5,0.5,0.5>
}

light_source { <5,  10, 2.5>  color rgb 1 shadowless }

#declare data3d = function { 
	pattern { 
	        density_file df3 "temp.df3"          
	        interpolate 1
	        frequency 0
	}
}

isosurface {
	function { 0.1 - data3d(x,y,z) }
	contained_by { box { <0,0,0>,<2,2,2> } }
        max_gradient 10
        pigment { color rgb 0.8 }
        finish { phong 0.30 phong_size 90 }
}

// X              
cylinder {
  <0,0,0>,  <1.5, 0, 0>,  0.05
  pigment { color rgb <1,0,0> }
  finish { phong 0.30 phong_size 90 }
}    
cone { 
  <1.75, 0, 0>, 0.0, <1.5, 0, 0>, 0.10 
  pigment { color rgb <1,0,0> }
  finish { phong 0.30 phong_size 90 }
}

// Y              
cylinder {
  <0,0,0>,  <0, 1.5, 0>,  0.05
  pigment { color rgb <0,1,0> }
  finish { phong 0.30 phong_size 90 }
}
cone { 
  <0, 1.75, 0>, 0.0, <0, 1.5, 0>, 0.10 
  pigment { color rgb <0,1,0> }
  finish { phong 0.30 phong_size 90 }
}

// Z
cylinder {
  <0,0,0>,  <0, 0, 1.5>,  0.05
  pigment { color rgb <0,0,1> }
  finish { phong 0.30 phong_size 90 }
}
cone { 
  <0, 0, 1.75>, 0.0, <0, 0, 1.5>, 0.10 
  pigment { color rgb <0,0,1> }
  finish { phong 0.30 phong_size 90 }
}
            